Skip to navigation

Deploy Suggested Line

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factorystringRequired
keystringRequired

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects a nullable object.
idempotency_keystring or nullOptionalformat: "^[A-Za-z0-9._:-]+$"1-128 characters

Optional client token recorded with the deploy for tracing. A retry is safe with or without it: Agents are reused by suggestion and the Line is redeployed to the same version.

machinestring or nullOptional1-63 characters
Name of the Machine the created Agents run on. Defaults to the Factory's most recently created Machine. Agents that already exist keep their own Machine.

Response

Successful Response
agentslist of objects
keystring
lineobject
namestring
Name of the deployed Line
run_inputslist of objects

Errors

422
Unprocessable Entity Error